summarylogtreecommitdiffstats
path: root/wayland-mouse-mapper-git.install
diff options
context:
space:
mode:
Diffstat (limited to 'wayland-mouse-mapper-git.install')
-rw-r--r--wayland-mouse-mapper-git.install13
1 files changed, 13 insertions, 0 deletions
diff --git a/wayland-mouse-mapper-git.install b/wayland-mouse-mapper-git.install
new file mode 100644
index 00000000000..28c3a500090
--- /dev/null
+++ b/wayland-mouse-mapper-git.install
@@ -0,0 +1,13 @@
+post_install() {
+ systemctl daemon-reload
+ systemctl enable -f --now mousemapper.service
+}
+
+pre_upgrade() {
+ systemctl disable -f --now mousemapper.service 2>/dev/null || true
+}
+
+pre_remove() {
+ systemctl daemon-reload
+ systemctl disable -f --now mousemapper.service 2>/dev/null || true
+}